#
# spec file for package cyrus-sasl-saslauthd (Version 2.1.23)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           cyrus-sasl-saslauthd
BuildRequires:  db-devel krb5-devel mysql-devel openldap2-devel opie pam-devel postgresql-devel
License:        BSD4c(or similar)
Group:          Productivity/Networking/Other
Url:            http://asg.web.cmu.edu/sasl/
AutoReqProv:    on
Provides:       cyrus-sasl:/usr/sbin/saslauthd
Provides:       cyrus-sasl2:/usr/sbin/saslauthd
Summary:        The SASL Authentication Server
Version: 2.1.23
Release:        6
Source:         cyrus-sasl-%{version}.tar.bz2
Source1:        cyrus-sasl-rc.tar.bz2
Patch:          cyrus-sasl.dif
Patch1:         shared_link_on_ppc.patch
Patch2:         cyrus-sasl-gcc4.patch
Patch3:         cyrus-sasl-implicitfunc.dif
Patch4:         cyrus-sasl-2.1.22-gcc44.patch
PreReq:         %insserv_prereq %fillup_prereq
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This daemon is required when using cyrus-sasl in server software that
should authenticate with PAM, for example.



Authors:
--------
    <tech-transfer> tech-transfer@andrew.cmu.edu

%package -n     cyrus-sasl-ldap-auxprop
License:        BSD4c(or similar)
Summary:        The cyrus-sasl LDAP auxprop plugin
AutoReqProv:    on
Group:          Productivity/Networking/Other
Requires:       cyrus-sasl

%description -n cyrus-sasl-ldap-auxprop
The LDAP auxprop plugin allows for tighter application/directory
integration.



Authors:
--------
    <tech-transfer> tech-transfer@andrew.cmu.edu

%package -n     cyrus-sasl-sqlauxprop
License:        BSD4c(or similar)
Summary:        SQL auxprop plugin for cyrus-sasl
AutoReqProv:    on
Group:          Development/Libraries/C and C++
Requires:       cyrus-sasl

%description -n cyrus-sasl-sqlauxprop
The SQL auxprop plugin supports PostgreSQL and MySQL



Authors:
--------
    <tech-transfer> tech-transfer@andrew.cmu.edu

%prep
%setup -n cyrus-sasl-%{version} -a 1
%patch
%patch1
%patch2
%patch3 -p1
%patch4

%build
find . -name \*.cvsignore -print0 | xargs -0 rm -vf
%{suse_update_config -f config}
%{suse_update_config -f saslauthd/config}
# has old libtool macros (and nothing else)
rm -f acinclude.m4
rm -f saslauthd/acinclude.m4
rm -rf autom4te.cache
rm -rf saslauthd/autom4te.cache
libtoolize --force
aclocal -I cmulocal -I config 
autoheader
autoconf
automake --add-missing --include-deps
autoconf
cd saslauthd
aclocal -I ../cmulocal -I config -I ../config
autoheader
autoconf
automake --add-missing --include-deps
cd -
export CFLAGS="-fno-strict-aliasing $RPM_OPT_FLAGS -DLDAP_DEPRECATED"
export CPPFLAGS=-I/usr/include/heimdal
./configure 	--libdir=%{_libdir} \
		--with-plugindir=%{_libdir}/sasl2 \
                --with-configdir=/etc/sasl2/:%{_libdir}/sasl2 \
		--prefix=/usr \
		--sysconfdir=/etc \
		--mandir=%{_mandir} \
		--with-saslauthd=/var/run/sasl2/ \
                --enable-checkapop=no \
                --enable-cram=no \
                --enable-digest=no \
                --enable-otp=no \
                --enable-srp=no \
                --enable-plain=no \
                --enable-anon=no \
                --enable-ntlm=no \
                --enable-passdss=no \
		--enable-sample=no \
		--enable-login=no \
		--enable-gssapi=yes \
		--enable-krb4=no \
                --enable-sql \
                --with-mysql=/usr/include/mysql \
                --with-pgsql=/usr/include/pgsql \
                --enable-ldapdb=yes \
		--with-pam \
		--with-ldap
make sasldir=%{_libdir}/sasl2

%install
cd plugins
make DESTDIR=$RPM_BUILD_ROOT sasldir=%{_libdir}/sasl2 install
cd ..
cd saslauthd
make DESTDIR=$RPM_BUILD_ROOT sasldir=%{_libdir}/sasl2 install
install -m 755 -d $RPM_BUILD_ROOT/var/run/sasl2
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man8
install -m 644 saslauthd.mdoc $RPM_BUILD_ROOT/%{_mandir}/man8/saslauthd.8
mkdir -p $RPM_BUILD_ROOT/usr/bin
install -m 755 testsaslauthd $RPM_BUILD_ROOT/usr/bin/testsaslauthd
cd -
install -D -m 755 SuSE/rc.saslauthd $RPM_BUILD_ROOT/etc/init.d/saslauthd
mkdir -p $RPM_BUILD_ROOT/sbin
ln -sf ../etc/init.d/saslauthd $RPM_BUILD_ROOT/sbin/rcsaslauthd
install -D -m 644 SuSE/sysconfig.saslauthd $RPM_BUILD_ROOT/var/adm/fillup-templates/sysconfig.saslauthd
rm -f $RPM_BUILD_ROOT/%{_mandir}/cat?/*
rm -f $RPM_BUILD_ROOT/%{_libdir}/sasl2/libgssapiv2.*
rm -f $RPM_BUILD_ROOT/%{_libdir}/sasl2/libsasldb*
rm -f $RPM_BUILD_ROOT/%{_libdir}/sasl2/libldapdb.la
rm -f $RPM_BUILD_ROOT/%{_libdir}/sasl2/libsql.la

%preun
%stop_on_removal saslauthd

%postun
%restart_on_update saslauthd
%insserv_cleanup

%post
%{fillup_and_insserv -n saslauthd}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/var/adm/fillup-templates/sysconfig.saslauthd
%dir %attr(0755, root, root) %ghost /var/run/sasl2   
%config /etc/init.d/saslauthd
/sbin/rcsaslauthd
/usr/sbin/*
/usr/bin/*
%doc %{_mandir}/man8/*.gz

%files -n cyrus-sasl-sqlauxprop
%defattr(-,root,root)
%{_libdir}/sasl2/libsql.so*

%files -n cyrus-sasl-ldap-auxprop
%defattr(-,root,root)
%{_libdir}/sasl2/libldapdb.so*

%changelog
