#
# spec file for package cyrus-sasl (Version 2.1.23)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           cyrus-sasl
Version:        2.1.23
Release:        6
BuildRequires:  db-devel krb5-mini-devel openssl-devel opie pam-devel
Obsoletes:      cyrus-sasl2 <= %{version}
Provides:       cyrus-sasl2 = %{version}
License:        BSD4c(or similar)
Group:          Productivity/Networking/Other
Url:            http://asg.web.cmu.edu/sasl/
AutoReqProv:    on
# bug437293
%ifarch ppc64
Obsoletes:      cyrus-sasl-64bit
%endif
#
Summary:        Implementation of Cyrus SASL API
Source:         cyrus-sasl-%{version}.tar.bz2
Source1:        cyrus-sasl-rc.tar.bz2
Source2:        README.Source
Source3:        baselibs.conf
Patch:          cyrus-sasl.dif
Patch1:         shared_link_on_ppc.patch
Patch2:         cyrus-sasl-gcc4.patch
Patch3:         cyrus-sasl-implicitfunc.dif
Patch4:         cyrus-sasl-2.1.22-gcc44.patch
PreReq:         %insserv_prereq %fillup_prereq
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
#

%package      gssapi
License:        BSD4c(or similar)
Obsoletes:      cyrus-sasl2-gssapi <= %{version}
Provides:       cyrus-sasl2-gssapi = %{version}
Summary:        cyrus-sasl plugin for the GSSAPI mechanism
AutoReqProv:    on
Group:          Development/Libraries/C and C++
Requires:       cyrus-sasl
#

%package      crammd5
License:        BSD4c(or similar)
Summary:        cyrus-sasl plugin for the CRAMMD5 mechanism
AutoReqProv:    on
Group:          Development/Libraries/C and C++
Requires:       cyrus-sasl
# cyrus-sasl2 was split in to several subpackages 
# after SLES8, this "Provides" should be removed after 
# EndOfLife of SLES8
Provides:       cyrus-sasl2:%{_libdir}/sasl2/libcrammd5.so
#

%package      digestmd5
License:        BSD4c(or similar)
Summary:        cyrus-sasl plugin for the DIGESTMD5 mechanism
AutoReqProv:    on
Group:          Development/Libraries/C and C++
Requires:       cyrus-sasl
# cyrus-sasl2 was split in to several subpackages 
# after SLES8, this "Provides" should be removed after 
# EndOfLife of SLES8
Provides:       cyrus-sasl2:%{_libdir}/sasl2/libdigestmd5.so
#

%package      otp
License:        BSD4c(or similar)
Summary:        cyrus-sasl plugin for the OTP mechanism
AutoReqProv:    on
Group:          Development/Libraries/C and C++
Requires:       cyrus-sasl
# cyrus-sasl2 was split in to several subpackages 
# after SLES8, this "Provides" should be removed after 
# EndOfLife of SLES8
Provides:       cyrus-sasl2:%{_libdir}/sasl2/libotp.so
#

%package      plain
License:        BSD4c(or similar)
Summary:        cyrus-sasl plugin for the PLAIN mechanism
AutoReqProv:    on
Group:          Development/Libraries/C and C++
Requires:       cyrus-sasl
# cyrus-sasl2 was split in to several subpackages 
# after SLES8, this "Provides" should be removed after 
# EndOfLife of SLES8
Provides:       cyrus-sasl2:%{_libdir}/sasl2/libplain.so
#

%package      ntlm
License:        BSD4c(or similar)
Summary:        Implementation of Cyrus SASL API
AutoReqProv:    on
Group:          Productivity/Networking/Other
Requires:       cyrus-sasl
#

%package      devel
License:        BSD4c(or similar)
Obsoletes:      cyrus-sasl2-devel <= %{version}
Provides:       cyrus-sasl2-devel = %{version}
# bug437293
%ifarch ppc64
Obsoletes:      cyrus-sasl-devel-64bit
%endif
#
Summary:        Cyrus SASL API Implementation, Libraries and Header Files
AutoReqProv:    on
Group:          Development/Libraries/C and C++
Requires:       cyrus-sasl = %{version}, glibc-devel

%description
This is the Cyrus SASL API. It can be used on the client or server side
to provide authentication. See RFC 2222 for more information.



Authors:
--------
    <tech-transfer> tech-transfer@andrew.cmu.edu

%description gssapi
This is the Cyrus SASL API implementation. It can be used on the client
or server side to provide authentication. See RFC 2222 for more
information.



Authors:
--------
    <tech-transfer> tech-transfer@andrew.cmu.edu

%description devel
This is the Cyrus SASL API. It can be used on the client or server side
to provide authentication. See RFC 2222 for more information.



Authors:
--------
    <tech-transfer> tech-transfer@andrew.cmu.edu

%description digestmd5
This is the Cyrus SASL API implementation. It can be used on the client
or server side to provide authentication. See RFC 2222 for more
information.



Authors:
--------
    <tech-transfer> tech-transfer@andrew.cmu.edu

%description crammd5
This is the Cyrus SASL API implementation. It can be used on the client
or server side to provide authentication. See RFC 2222 for more
information.



Authors:
--------
    <tech-transfer> tech-transfer@andrew.cmu.edu

%description otp
This is the Cyrus SASL API implementation. It can be used on the client
or server side to provide authentication. See RFC 2222 for more
information.



Authors:
--------
    <tech-transfer> tech-transfer@andrew.cmu.edu

%description plain
This is the Cyrus SASL API implementation. It can be used on the client
or server side to provide authentication. See RFC 2222 for more
information.



Authors:
--------
    <tech-transfer> tech-transfer@andrew.cmu.edu

%description ntlm
This is the Cyrus SASL API. It can be used on the client or server side
to provide authentication. See RFC 2222 for more information.



Authors:
--------
    <tech-transfer> tech-transfer@andrew.cmu.edu

%prep
%setup -q -n cyrus-sasl-%{version} -a 1
if [ -e %{_builddir}/%{name}-%{version}/dlcompat-*/ ]
then
    echo "dlcompat contains potential legal risks."
    exit 1;
fi
%patch
%patch1
%patch2
%patch3 -p1
%patch4

%build
find . -name \*.cvsignore -print0 | xargs -0 rm -fv
%{suse_update_config -f config}
%{suse_update_config -f saslauthd/config}
# has old libtool macros (and nothing else)
rm -f acinclude.m4
rm -f saslauthd/acinclude.m4
rm -rf autom4te.cache
rm -rf saslauthd/autom4te.cache
libtoolize --force
aclocal -I cmulocal -I config 
autoheader
autoconf
automake --add-missing --include-deps
autoconf
cd saslauthd
aclocal -I ../cmulocal -I config -I ../config
autoheader
autoconf
automake --add-missing --include-deps
cd -
export CFLAGS="-fno-strict-aliasing $RPM_OPT_FLAGS"
export CPPFLAGS=-I/usr/include/heimdal
%configure --with-pic \
			--with-plugindir=%{_libdir}/sasl2 \
            --with-configdir=/etc/sasl2/:%{_libdir}/sasl2 \
		--with-saslauthd=/var/run/sasl2/ \
		--enable-pam \
		--enable-sample \
		--enable-login \
		--enable-gssapi \
		--enable-ntlm \
		--enable-krb4=no \
                --enable-sql=no \
		--with-devrandom=/dev/urandom
%{__make} %{?jobs:-j%jobs} sasldir=%{_libdir}/sasl2

%install
make DESTDIR=$RPM_BUILD_ROOT sasldir=%{_libdir}/sasl2 install
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/etc/sasl2
install -m 755 sample/.libs/client $RPM_BUILD_ROOT/usr/bin/cyrus_sasl_sample_client
install -m 755 sample/.libs/server $RPM_BUILD_ROOT/usr/bin/cyrus_sasl_sample_server
chmod 0644 doc/*
rm -f doc/Makefile*
rm -f $RPM_BUILD_ROOT/%{_mandir}/cat?/*
rm -f $RPM_BUILD_ROOT/%{_mandir}/man8/saslauthd*
rm -f $RPM_BUILD_ROOT/usr/sbin/saslauthd
rm -f $RPM_BUILD_ROOT/usr/sbin/testsaslauthd
find $RPM_BUILD_ROOT -type f -name "*.la" -exec %{__rm} -fv {} +

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir %{_libdir}/sasl2
%dir /etc/sasl2/
%{_libdir}/sasl2/libanonymous.so*
%{_libdir}/sasl2/liblogin.so*
%{_libdir}/sasl2/libsasldb.so*
%{_libdir}/libsasl2.so.*
/usr/sbin/*
/usr/bin/*
%doc %{_mandir}/man3/sasl.*.gz
%doc %{_mandir}/man8/*.gz
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README doc
%doc saslauthd/AUTHORS saslauthd/COPYING saslauthd/ChangeLog saslauthd/INSTALL saslauthd/LDAP_SASLAUTHD saslauthd/NEWS saslauthd/README 

%files gssapi
%defattr(-,root,root)
%{_libdir}/sasl2/libgssapiv2.so*

%files crammd5
%defattr(-,root,root)
%{_libdir}/sasl2/libcrammd5.so*

%files digestmd5
%defattr(-,root,root)
%{_libdir}/sasl2/libdigestmd5.so*

%files otp
%defattr(-,root,root)
%{_libdir}/sasl2/libotp.so*

%files plain
%defattr(-,root,root)
%{_libdir}/sasl2/libplain.so*

%files ntlm
%defattr(-,root,root)
%{_libdir}/sasl2/libntlm.so*

%files devel
%defattr(-,root,root)
/usr/include/sasl
%doc %{_mandir}/man3/sasl_*.gz
%{_libdir}/libsasl2.so

%changelog
